syntax = "proto3";
option go_package = ".;pb";

// 玩家派遣信息
message DBDispatch {
    string uid = 1;  //@go_tags(`bson:"uid"`) 
    Noticeboard nb = 2; //@go_tags(`bson:"nb"`) 公告栏
}

// 公告栏
message Noticeboard {
    int32 lv = 1;           //@go_tags(`bson:"lv"`)  公告栏等级
    int32 noticeType =2;    //@go_tags(`bson:"noticeType"`)  公告栏类型
    repeated DispatchTask tasks = 3; //@go_tags(`bson:"tasks"`) 当前公告任务
    int32 freeCount = 4;  //@go_tags(`bson:"freeCount"`) 已使用的免费次数
    int32 refreshCount = 5; //@go_tags(`bson:"refreshCount"`) 已刷新次数
    int32 weekCount = 6; //@go_tags(`bson:"weekCount"`) 周任务数
    int32 taskCount = 7; //@go_tags(`bson:"taskCount"`) 任务数
    repeated int32 weekReceived = 8; //@go_tags(`bson:"weekReceived"`) //已领取的周任务索引ID
    int64 updateTime = 9; //@go_tags(`bson:"updateTime"`) 更新时间 
}

// 派遣任务
message DispatchTask{
    int32 taskId = 1; //@go_tags(`bson:"taskId"`) 任务ID
    int32 status = 2; //@go_tags(`bson:"status"`) 任务状态 默认0 1任务中 2任务完成
    int64 duration = 3; //@go_tags(`bson:"duration"`) 持续截至时间
    int64 leftTime = 4; //@go_tags(`bson:"leftTime"`) 任务截至时间
    repeated string heroIds = 5; //go_tags(`bson:"heroIds"`) 派遣的英雄
    bool exaward = 6; //@go_tags(`bson:"exaward"`) 是否获取额外奖励
}